%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}
%global rubyabi 1.9.1

# Generated from celluloid-0.15.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name celluloid

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.15.2
Release: 2%{?dist}
Summary: Actor-based concurrent object framework for Ruby
Group: Development/Languages
License: MIT
URL: https://github.com/celluloid/celluloid
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
BuildRequires: %{?scl_prefix}ruby
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}rubygem(rspec)
BuildRequires: %{?scl_prefix}rubygem(timers)
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Celluloid enables people to build concurrent programs out of concurrent
objects just as easily as they build sequential programs out of sequential
objects.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


# Run the test suite
%check
pushd .%{gem_instdir}

# Disable code coverrage.
sed -i '/overalls/ s/^/#/' spec/spec_helper.rb

# Get rid of Bundler.
sed -i '/bundler/ s/^/#/' spec/spec_helper.rb

# Test suite expect log directory to exist.
mkdir log
%{?scl:scl enable %{scl} "}
rspec spec
%{?scl:"}
popd

%files
%dir %{gem_instdir}
# License file is going to be included in next version, keep README.md in main
# package until that.
# https://github.com/celluloid/celluloid/commit/e66bff2cfa8a6a7ab8efd03ef3f70f3008ecb3d6
%doc %{gem_instdir}/README.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
# Needed by lib/rspec.
%{gem_instdir}/spec/support

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec
%exclude %{gem_instdir}/spec/support

%changelog
* Mon Sep 01 2014 Vít Ondruch <vondruch@redhat.com> - 0.15.2-2
- spec/support is needed by runtime.

* Thu Aug 28 2014 Vít Ondruch <vondruch@redhat.com> - 0.15.2-1
- Initial package
